## com.bbn.openmap.proj
Class RhumbCalculator

    java.lang.Object
      com.bbn.openmap.proj.RhumbCalculator

public class RhumbCalculator
extends java.lang.Object

Version:
  $Header: /cvs/distapps/openmap/src/openmap/com/bbn/openmap/proj/RhumbCalculator.java,v 1.1 2004/05/10 20:53:58 dietrick Exp $
Author:
  pawkub Klasa zawiera metody pozwalające przeprowadzać obliczenia związane z tzw. Rhumblinem. Klasa zawiera kilka ogólnych wzorów i poza OpenMapą nie jest z niczym związana. Można ją wrzucić do OpenMapy i użyć zawartych w niej wzorów tam gdzie to będzie potrzebne (a jest takich miejsc kilka).

Method Summary
`static LatLonPoint` `calculatePointOnRhumbLine(LatLonPoint point, float azimuth, float dist)`
`static float` `getAzimuthBetweenPoints(LatLonPoint p1, LatLonPoint p2)` Metoda pozwala obliczyć azymut pomiędzy punktami (namiar od pierwszego do drugiego)
`static float` `getDistanceBetweenPoints(LatLonPoint p1, LatLonPoint p2)` Metoda pozwala obliczyć odległość pomiędzy punktami liczoną po rhumbline.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### calculatePointOnRhumbLine

    public static LatLonPoint calculatePointOnRhumbLine(LatLonPoint point,
                                                        float azimuth,
                                                        float dist)

### getDistanceBetweenPoints

    public static float getDistanceBetweenPoints(LatLonPoint p1,
                                                 LatLonPoint p2)

  Metoda pozwala obliczyć odległość pomiędzy punktami liczoną po rhumbline.

  Parameters:
    `p1` - punkt geograficzny
    `p2` - punkt geograficzny
  Returns:
    odległość

### getAzimuthBetweenPoints

    public static float getAzimuthBetweenPoints(LatLonPoint p1,
                                                LatLonPoint p2)

  Metoda pozwala obliczyć azymut pomiędzy punktami (namiar od pierwszego do drugiego)

  Parameters:
    `p1` - pierwszy punkt geograficzny
    `p2` - drugi punkt geograficzny
  Returns:
    namiar w radianach

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details